Package com.independentsoft.office.odf.styles

# Enum Class LabelPosition

java.lang.Object
java.lang.Enum<LabelPosition>
com.independentsoft.office.odf.styles.LabelPosition

All Implemented Interfaces:
  `Serializable`, `Comparable<LabelPosition>`, `Constable`

public enum LabelPosition extends Enum<LabelPosition>
Represents where data labels are placed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AVOID_OVERLAP`
  An algorithm should be used that tries to place the labels without overlapping each other.
  `BOTTOM`
  The data label is placed below the data point.
  `BOTTOM_LEFT`
  The data label is placed to the bottom left of the data point.
  `BOTTOM_RIGHT`
  The data label is placed to the bottom right of the data point.
  `CENTER`
  The data label is centered on the data point.
  `INSIDE`
  The data label is placed inside the data point ( for pie charts the label is placed inside the piece on the bisecting line aligned to the outer radius, for bar charts the label is inside the bar aligned to that end that is given by the data points value, for polar charts the label is placed on that side of the data point that points to the polar charts center ).
  `LEFT`
  The data label is placed left of the data point.
  `NEAR_ORIGIN`
  The data label is placed inside the data point on that side that is near to the origin - where the origin is the beginning of the bar in a bar chart or the base line in an area chart (for bar charts the label is placed inside the bar like with value inside, but aligned to the opposite end of the bar).
  `NONE`
  None.
  `OUTSIDE`
  The data label is placed outside the data point (for pie charts the label is placed outside the circle aligned to the outer radius, for bar charts the label is outside the bar aligned to that end that is given by the data points value, for polar charts the label is placed on that side of the data point that points away from the polar charts center).
  `RIGHT`
  The data label is placed right of the data point.
  `TOP`
  The data label is placed on top of the data point.
  `TOP_LEFT`
  The data label is placed to the top left of the data point.
  `TOP_RIGHT`
  The data label is placed to the top right of the data point.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LabelPosition`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static LabelPosition[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AVOID_OVERLAP

    public static final LabelPosition AVOID_OVERLAP
    An algorithm should be used that tries to place the labels without overlapping each other.

  - ### BOTTOM

    public static final LabelPosition BOTTOM
    The data label is placed below the data point.

  - ### BOTTOM_LEFT

    public static final LabelPosition BOTTOM_LEFT
    The data label is placed to the bottom left of the data point.

  - ### BOTTOM_RIGHT

    public static final LabelPosition BOTTOM_RIGHT
    The data label is placed to the bottom right of the data point.

  - ### CENTER

    public static final LabelPosition CENTER
    The data label is centered on the data point.

  - ### INSIDE

    public static final LabelPosition INSIDE
    The data label is placed inside the data point ( for pie charts the label is placed inside the piece on the bisecting line aligned to the outer radius, for bar charts the label is inside the bar aligned to that end that is given by the data points value, for polar charts the label is placed on that side of the data point that points to the polar charts center ).

  - ### LEFT

    public static final LabelPosition LEFT
    The data label is placed left of the data point.

  - ### NEAR_ORIGIN

    public static final LabelPosition NEAR_ORIGIN
    The data label is placed inside the data point on that side that is near to the origin - where the origin is the beginning of the bar in a bar chart or the base line in an area chart (for bar charts the label is placed inside the bar like with value inside, but aligned to the opposite end of the bar).

  - ### OUTSIDE

    public static final LabelPosition OUTSIDE
    The data label is placed outside the data point (for pie charts the label is placed outside the circle aligned to the outer radius, for bar charts the label is outside the bar aligned to that end that is given by the data points value, for polar charts the label is placed on that side of the data point that points away from the polar charts center).

  - ### RIGHT

    public static final LabelPosition RIGHT
    The data label is placed right of the data point.

  - ### TOP

    public static final LabelPosition TOP
    The data label is placed on top of the data point.

  - ### TOP_LEFT

    public static final LabelPosition TOP_LEFT
    The data label is placed to the top left of the data point.

  - ### TOP_RIGHT

    public static final LabelPosition TOP_RIGHT
    The data label is placed to the top right of the data point.

  - ### NONE

    public static final LabelPosition NONE
    None.

- ## Method Details

  - ### values

    public static LabelPosition[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LabelPosition valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null